---
id: 696cb889fc4fdeb337e52864
title: Step 8
challengeType: 20
dashedName: step-8
---

# --description--

In Python, `if` conditions don't have to compare values explicitly to `True` or `False`. Instead, they rely on the truthiness of values. Truthy values evaluate to `True` in a boolean context, such as the condition of an `if` statement. These include non-zero numbers, non-empty strings, and the boolean value `True`.

```py
if value:
   print('value is truthy')
```

Create an `if` statement to check if `is_member` is truthy. Inside the body of the `if` statement, update the `discount` value to `3` and print `User qualifies for membership discount` to the terminal.

# --hints--

You should have three `if` statements in your code.

```js
({ test: () => (runPython(`assert _Node(_code).find_ifs()[2]`)) })
```

Your third `if` statement condition should be `is_member`.

```js
({ test: () => (runPython(`
assert _Node(_code).find_ifs()[2].find_conditions()[0].is_equivalent("is_member")
`)) })
```

You should assign the integer value `3` to `discount` variable inside your new `if` statement.

```js
({ test: () => (runPython(`
assert _Node(_code).find_ifs()[2].find_bodies()[0].find_variable("discount").is_equivalent("discount = 3")
`)) })
```

You should print `User qualifies for membership discount` inside your new `if` statement. Remember to surround the message with single or double quotes.

```js
({ test: () => (runPython(`
assert _Node(_code).find_ifs()[2].find_bodies()[0].has_call("print('User qualifies for membership discount')")
`)) })
```

# --seed--

## --seed-contents--

```py
base_price = 15
age = 21
seat_type = 'Gold'
show_time = 'Evening'

if age > 17:
    print('User is eligible to book a ticket')

if age >= 21:
    print('User is eligible for Evening shows')
else:
    print('User is not eligible for Evening shows')

is_member = True
is_weekend = False

discount = 0
--fcc-editable-region--

--fcc-editable-region--
```
